explain_futimens_or_die(3)

NAME
explain_futimens_or_die - change file timestamps and report errors

SYNOPSIS
#include <libexplain/futimens.h>

void explain_futimens_or_die(int fildes, const struct time_spec *data);
int explain_futimens_on_error(int fildes, const struct time_spec *data);

DESCRIPTION
The explain_futimens_or_die function is used to call the futimens(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_futimens(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_futimens_on_error function is used to call the futimens(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_futimens(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the futimens(3) system call.

data
    The data, exactly as to be passed to the futimens(3) system call.

RETURN VALUE
The explain_futimens_or_die function only returns on success, see futimens(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_futimens_on_error function always returns the value return by the wrapped futimens(3) system call.

EXAMPLE
The explain_futimens_or_die function is intended to be used in a fashion similar to the following example:
    explain_futimens_or_die(fildes, data);

SEE ALSO

futimens(3)
    change file timestamps with nanosecond precision

explain_futimens(3)
    explain futimens(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller